let url_Backend_dwinzo = `http://${process.env.REACT_APP_SERVER_REST_API_BASE_URL}`;

export const createProjectApi = async (projectUuid: string, userId: string, thumbnail: string, organization: string) => {
    try {
        const response = await fetch(`${url_Backend_dwinzo}/api/V1/NewProject`, {
            method: "POST",
            headers: {
                Authorization: "Bearer <access_token>",
                "Content-Type": "application/json",
                token: localStorage.getItem("token") || "",
                refresh_token: localStorage.getItem("refreshToken") || "",
            },
            body: JSON.stringify({ projectUuid, userId, thumbnail, organization }),
        });
        const newAccessToken = response.headers.get("x-access-token");
        if (newAccessToken) {
            localStorage.setItem("token", newAccessToken);
        }
        if (!response.ok) {
            console.error("Failed to create project");
        }

        const result = await response.json();

        return result;
    } catch {
        console.error("Failed to create project");
    }
};
